Send an Email campaign

Encoding : UTF-8

Authentication

Your 'api-key' and 'api-login' identifiers must be added in the headers.

Definition

This is the service to send an Email campaign and you can specify a sending date in ISO format.
As soon as the date you have specified has passed, we will send your Email campaign.

Special parameters

NameTypeDescription
recipientsarrayList of Contact objects array of objects: [{'email': '[email protected]', 'first_name': 'Axelle', 'last_name':'Durand', 'param1': null, 'param2': null, 'param3': null, 'param4': null, 'param5': null},...,{'phone_number':'+2222333334444555', 'first_name': 'John', 'last_name': 'Smith', 'param3': 'M'}]
subjectstringThe email subject.
template_namestringThe template name.
name_fromstringName From
email_fromstringEmail From
purposestringCampaign purpose: (transactional/alert or marketing) : ['alert','wholesale']
send_atstringWhen you want to send the Email campaign. Format: DateTime ISO8601 (for ex: '2018-10-03T07:42:39-07:00').
emailing_servicestringEmailing service options, specified as ['mailbox', 'gateway'].
body_formatstringThe email body format: ‘plain_text’ (default) or ‘html’. Applies only to the text field, not template_name.
languagestringThe language used for the unsubscription mention in the email channel.
list_namestringThis is the value representing to list name you want to create for those contacts

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or 'fixed', we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to :

  • 'cast' (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Important Considerations

Be careful with the number of contacts per request. For campaigns, a good use is to transmit several frames of 200 to 500 numbers at a time.

  • < 200: you multiply calls and waste connection time.
  • 500: the frame becomes heavy and the risk of data loss increases.

Server Response Example in JSON

Success

{
   "ticket_number": "email_5f3fbce61266e",
   "number_of_contacts": 5,
   "total_cost": 5.00502839,
   "residual_credit": 50.75
}

Bad request

{
   "code": 121,
   "message": "xxxxx"
}

 
Body Params

Payload to send email campaign.

recipients
array of objects
required
length ≤ 1000
recipients*
string
required
length ≤ 1000
string
required
string
required
string
required
string
enum
Allowed:
date-time
string
enum
Allowed:
string
required
length ≤ 65000
string
enum
Allowed:
string
enum
Allowed:
string
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

400

Bad request.

401

Unauthorized.

403

Forbidden to view.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json